meta bug to collect lshal touchscreen info

Bug #317094 reported by Oliver Grawert on 2009-01-14
316
This bug affects 44 people
Affects Status Importance Assigned to Milestone
xf86-input-evtouch (Ubuntu)
Undecided
marwan
Declined for Dapper by Oliver Grawert
Declined for Hardy by Oliver Grawert
Declined for Intrepid by Oliver Grawert
Declined for Jaunty by Oliver Grawert
Declined for Karmic by Oliver Grawert

Bug Description

This bug is used to collect the lshal info people are asked to submit when evtouch calibration fails.
Formerly this collection was done via the ubuntu-mobile mailing list, which is a subscription only list and the traffic of submissions from unsunscribed people got to much of a maintenance burden for the list admins.

Bryce Harrington (bryce) wrote :

Hi ogra,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Please attach the output of `lspci -vvnn` too.

[This is an automated message. If this script has reached you erroneously, please accept our apologies; any reply to this message will be sufficient to prevent it from doing further automated processing.]

Changed in xf86-input-evtouch:
status: New → Incomplete
Oliver Grawert (ogra) wrote :

setting to confirmed, so we dont get more automated messages from bryce ;)

Changed in xf86-input-evtouch:
status: Incomplete → Confirmed
Myriam Schweingruber (myriam) wrote :

Find below lshal output for the General Touch rear mount touchscreen, RTL 153. I'm currently working on the calibration with an external driver made for OpenSuSE which is not very precise, more to follow.

udi = '/org/freedesktop/Hal/devices/usb_device_dfc_1_noserial_if0_logicaldev_input'
  button.has_state = false (bool)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'button', 'input.mouse'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_dfc_1_noserial_if0' (string)
  info.product = 'General Touch Co. Ltd. GeneralTouch USB Touchscreen' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_dfc_1_noserial_if0_logicaldev_input' (string)
  input.device = '/dev/input/event8' (string)
  input.originating_device = '/org/freedesktop/Hal/devices/usb_device_dfc_1_noserial_if0' (string)
  input.product = 'General Touch Co. Ltd. GeneralTouch USB Touchscreen' (string)
  input.x11_driver = 'evdev' (string)
  linux.device_file = '/dev/input/event8' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input8/event8' (string)

ehroure (ehroure) wrote :

Trying to calibrate asus r2h touchscreen get the message to send you the file.

Best Regards

claudio (private-claudio) wrote :

The attached lshal output is for a Tabletkiosk Sahara TouchIT-213 Tablet PC.

LeeClean (bsdkorea) wrote :

Hi,

attached lshal output is for Fujitsu LifeBook U1010 (on Ubuntu 9.04 Jaunty)

GaardenZwerch (frank-weis) wrote :

Hi,

please find attached the output for an Asus EEETop

Thanks a lot

Frank

dedraks (dedraks) wrote :

Hello,

Plz find attached output for LG-C1 Tablet PC model C1-TP81P1

Thanks
Carlos Garcia

Attached hal output.

Thanks

labiloute (labiloute) wrote :

Here's the lshal output from a Fujitsu Siemens Lifebook P1610
It didn't work since 8.04 i'm now with dvpt's jaunty
cheers

Kevin Williams (bthylafh) wrote :

Here's the lshal output from a Gateway M275 tablet, which isn't compatible at this point.

Trantor (sps-rbcmail) wrote :

Tablet Netbook Gigabyte M912X

cpechereau (cpechereau) wrote :

Hi
Please find attached lshal output for Samsung Q1.
calibration failled.
touch screen works pretty good with Ubuntu 8.10 and 9.04 beta but there is a little shift on screen I like corrected
Christian
Rennes, France

Lionel Dricot (ploum) wrote :

lshal for Xenarc 7" 706 series described in bug #276302

Lionel Dricot (ploum) wrote :

lshal for Chinese eGalax no-mark touchscreen (1-DIN automative box)

my laptop: hp tx2000ep

mlanders (matthew-landers) wrote :
flippenflappen (finlandfilm) wrote :

lshal for Fujitsu p1620 under Ubuntu 904 netbook remix beta

Hi,
My laptop is an We Surf send by Fnac in France. It-s an derivative of Samsung Clevo.
Thank-s

ni-m (nimitch) wrote :

lshal from an ancient itronix gobook ix250 with a GUNZE TouchPanel (usb)

it seems to be using the synaptics driver at the moment

from Xorg.0.log

profile 0
[ 7.382092] (--) SynPS/2 Synaptics TouchPad touchpad found
[ 7.387278] (II) config/hal: Adding input device GUNZE GUNZE Touch Panel
[ 7.387406] (II) Synaptics touchpad driver version 0.99.3
[ 7.387453] (**) Option "Device" "/dev/input/event5"
[ 7.387745] (--) GUNZE GUNZE Touch Panel: no supported touchpad found
[ 7.387783] (**) GUNZE GUNZE Touch Panel: always reports core events
[ 7.387898] (II) XINPUT: Adding extended input device "GUNZE GUNZE Touch Panel" (type: TOUCHPAD)
[ 7.387982] (**) GUNZE GUNZE Touch Panel: (accel) keeping acceleration scheme 1
[ 7.388010] (**) GUNZE GUNZE Touch Panel: (accel) filter chain progression: 2.00
[ 7.388052] (**) GUNZE GUNZE Touch Panel: (accel) filter stage 0: 20.00 ms
[ 7.388100] (**) GUNZE GUNZE Touch Panel: (accel) set acceleration profile 0
[ 7.388629] (--) GUNZE GUNZE Touch Panel: no supported touchpad found

ni-m (nimitch) wrote :

Oliver thanks to google and yourself i have this working
i seem to remember you were also collecting fdi for working touchscreens but cant find the page anymore :/

Fabián Rodríguez (magicfab) wrote :

Hello,

I am happy to report that the EloTouch 2639L screen works just fine with this driver. I now need the calibrate tool to work, so submitting the requested evtouch_hal.out

Fabián Rodríguez (magicfab) wrote :

The calibration tool now works but I still don't get proper coordinates. Oliver, thanks for the hints you provided. Here is the /usr/share/hal/fdi/policy/20thirdparty/50-elotouch.fdi file I used:

<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->
<deviceinfo version="0.2">
  <device>
    <match key="info.product" contains="Elo TouchSystems, Inc. Elo TouchSystems 2700 IntelliTouch(r) USB Touchmonitor Interface">
      <match key="info.capabilities" contains="input">
        <merge key="input.x11_driver" type="string">evtouch</merge>
        <merge key="input.x11_options.minx" type="string">130</merge>
        <merge key="input.x11_options.miny" type="string">197</merge>
        <merge key="input.x11_options.maxx" type="string">3945</merge>
        <merge key="input.x11_options.maxy" type="string">3894</merge>
        <merge key="input.x11_options.swapx" type="string">1</merge>
        <merge key="input.x11_options.swapy" type="string">1</merge>
      </match>
    </match>
  </device>
</deviceinfo>

</deviceinfo>

I have an open bug specifically for this screen: Bug #362308 . I'll continue my tests there.

giuse (mayaclub) wrote :

lshal from Asus Eee TOP.
Now I must dawngrade the system to intrepid :-(

danmiddle2 (dmiddleton) wrote :

I am also having this issue with my Sony UX. It's a UX1XN. The touchscreen works with a clean install of Ubuntu 9.04, but is not calibrated and the calibration tools brings up the error to report here.

Martin Siegl (marsie) wrote :

i'm trying to get the touchscreen on a panasonic cf-28 working.
no luck 'til now.

br
martin

giuse (mayaclub) wrote :

last lshal was from jaunty

Immanuel (immiraja) wrote :
Mysticode (david-leinbach) wrote :

lshal output for Sony UX VGN-380N

Munk (sebastian-starosielec) wrote :

Please find my hal output in the attached file.
Notebook is a Nexoc Osiris S621

The device seems to be /dev/usb/hiddev0, as it generates output on touching the screen.

stripeboy (bentsang) wrote :

lshal from viliv S5.

More information of this MID device:
http://www.myviliv.com/eng/product/s5.asp

lshal output for a HP Mini 2140.

This is the output of my Asus Eee 900A. Have fun fixing. =)

dlhall (hall-shaw) wrote :
Chuck Bridgeland (chuckbri) wrote :

This is the output of lshal for a Nobilis Nobi, which is a tablet version of Intel's Classmate educational laptop. Running Ubuntu 9.04 netbook remix off a memory key, just to test it.

Hi, attached lshal output is for Fujitsu LOOX P70R (based LifeBook U8210) (on Ubuntu 9.04 Jaunty)

sent (sentyboy+evtouch) wrote :

Hi, I try-ed to System > Manage > Calibrate Touchscreen on my Ubuntu 9.04 (as VMware on a Asus RE1 Tablet PC with Vista as OS) and it failed and requested to add my lshal in this thread.
Have a nice day!

Carlos Temes (ctemes) wrote :

Hi,

I've attached the lshal output from a Thermaltake DH-102 case that comes with a Soundgraph USB 7" touchscreen (id: 15c2:0034) in Ubuntu Jaunty.

It works with the evtouch driver but to get it properly configured as a touchscreen, the first time I had to remove the xserver-xorg-input-synaptics package. The calibration tool doesn't recognize the touchscreen.

Nodir (nodir3n2002) wrote :
Download full text (5.2 KiB)

udi = '/org/freedesktop/Hal/devices/usb_device_df9_1_noserial'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1' (string)
  info.product = 'MASTouch USB Touchscreen' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_df9_1_noserial' (string)
  info.vendor = 'MASTouch TouchSystems' (string)
  linux.device_file = '/dev/bus/usb/003/002' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1' (string)
  usb_device.bus_number = 3 (0x3) (int)
  usb_device.can_wake_up = true (bool)
  usb_device.configuration = 'HID Touchscreen' (string)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 1 (0x1) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 2 (0x2) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1' (string)
  usb_device.max_power = 100 (0x64) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 1 (0x1) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'MASTouch USB Touchscreen' (string)
  usb_device.product_id = 1 (0x1) (int)
  usb_device.speed = 1.5 (1.5) (double)
  usb_device.vendor = 'MASTouch TouchSystems' (string)
  usb_device.vendor_id = 3577 (0xdf9) (int)
  usb_device.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_df9_1_noserial_if0'
  info.linux.driver = 'usbhid' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_df9_1_noserial' (string)
  info.product = 'USB HID Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_df9_1_noserial_if0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration = 'HID Touchscreen' (string)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 1 (0x1) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 3 (0x3) (int)
  usb.interface.number = 0 (0x0) (int)
  usb.interface.protocol = 2 (0x2) (int)
  usb.interface.subclass = 0 (0x0) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1:1.0' (string)
  usb.max_power = 100 (0x64) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 1 (0x1) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB HID Interface' (string)
  usb.product_id = 1 (0x1) (int)
  usb.speed = 1.5 (1.5) (double)
  usb.vendor = 'MASTouch TouchSystems' (string)
  usb.vendor_id = 3577 (0xdf9) (int)
  usb....

Read more...

attached is kohjinsha SH6KP10A lshal outout.

TomSawyer (c-hausmanns) wrote :
baltasarq (baltasarq) wrote :

required file for htc shift

gaussito (cnavr) wrote :

Asus R2H. Thank you.

GREZZO16 (fabio-sora) wrote :

Hi to everyone
i've just installed UNR 9.04 on a brand new Msi WindTop AE1900 Touchscreen, but the touchscreen doesn't work.

thank you for your help

Vincent (vincent-gratsac) wrote :

Hi all,

I'm trying to install my "Elo TouchSystems 2216 AccuTouch USB" screen on Ubuntu 9.04, but I get a problem while trying to run the TouchScreen Calibration.

Thank you for your help.

Vincent

pajoohesh (pajoohesh) wrote :

I am running jaunty netbook on eeepc 1000 HE. My touchpad works ok with vertical scroll and three finger touch and every thing except the horizontal scroll.

I do not know what the problem is that I can not execute calibrate_screen and also when running the touchpad in preferences it gives me the error that I should make SHMConfig true in xorg.conf but I can not find such thing there.

I wonder if any body can help me...

Jake (jake-persious) wrote :

G'Day,

I have a CF-18 toughbook with a LBPS/2 Fujitsu Lifebook TouchScreen. I have previously had this working on hardy with evtouch drivers compiled against an older version of xorg, however this does not work on jaunty. If support could be added by default for this screen it would be greatly appreciated.

Jake

Hi,

I have a NextWindow touch screen which is not detected correctly by HAL. I've got it to work by manually telling HAL to use the evtouch driver for it, but it would be nice to get that in there automatically.

cheers,
Gudmundur Bjarni

M@thias (mathias-bourdieu) wrote :

My laptop is clevo TN121R with touch screen and fingerprint

Thank's for your help.

AlexKey (aleksey-kamensky) wrote :

Hi,

My laptop is Lenovo s10. Unfortunately calibration doesn't work.

grajea (grajea1) wrote :

Model ELO Touchscreen 1729L
Without configuration, it detects pulsations like vertical horizontal mirror (when you push in the bottom it detect in the top zone, but if you push in the left zone, it recognizes left zone).

pepitux (alarga) wrote :

No puedo deshabilitar el touchpad en el UNR, me sale el mensaje para que lo notifique aqui

pepitux (alarga) wrote :

Sorry, ... my netbook is a Aspire One 110 AB, with ubuntu network remix (9.04)

HP tx 2050eg

cemolina (cemolina-redtauros) wrote :

Hi.

I have a touch screen elo et1515l. I can't calibrate.

you can see an attachment.

How can i do it? Thanks.

jibux (jibux) wrote :

Hi,
as requested in dialog box when I wanted to calibrate my touch screen, this is my .out file

wiwi (wiwi-az) wrote :

KOHJINSHA SH6

hoping fix this bug

Amit Kucheria (amitk) wrote :

For everyone that has sent their lshal output to this bug, try the following:

$ lsusb
Find your vendor id and product id for the touchscreen.
$ modprobe usbtouchscreen
$ sudo sh -c "echo <vendor id> <product id> > /sys/bus/usb/drivers/usbtouchscreen/new_id"

e.g. From my lsusb, one of the entries is:
Bus 005 Device 002: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader

So the vendor id is 0483, device id is 2016.

So the above command would become something like:
$ sudo sh -c "echo 0483 2016 > /sys/bus/usb/drivers/newfingerprintdriver/new_id"

Please report back if your touchscreen starts working.

One thing:

My touch screen already works, AFAIK even via HAL.
(HP tx2050eg, Bus 002 Device 007: ID 056a:0093 Wacom Co., Ltd)

It's that I cannot calibrate it via the calibrate-touchscreen command.

Andreas

No luck with Amit's proposed solution. Usbtouchscreen wasn't an listed.

I have a CLT Intel Classmate 2 Go netbook.

A touch registers as a click at the location where the mouse is on the screen.

File attached.

ptitmain (ptitmain) wrote :

I cannot calibrate the touchpad on an E-Café E60 under UNR Jaunty. The touchpad is probably evtouch capable... I attached the hal output.

y2k (yikaiye) wrote :

i can not calibrate my touch screen. i am using Kohjinsha SH6 series. Please find my Hal file attached.

wiwi (wiwi-az) wrote :

my touchscreen on KOHJINSHA SH6 now can be used,
when i get drivers from http://www.penmount.com.tw/index_2.htm.

peopel who use KOHJINSHA netbook,maybe this will help you.

install this driver and restart your ubuntu,so you can see a penmount icon on your screen.

enjoy it.

bigwave (dgmunoz) wrote :

Hi,

The following is from a 3m MicroTouch touchscreen with USB controller.
Controller model is: "3M MicroTouch™ EX II Series Controller".

3m has a proprietary driver for this at: http://solutions.3m.com/wps/portal/3M/en_US/3MTouchSystems/TS/CustomerSupport/TouchDrivers/

Thanks,
Dave

udi = '/org/freedesktop/Hal/devices/usb_device_596_1_noserial_if0'
  info.linux.driver = 'usbtouchscreen' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_596_1_noserial' (string)
  info.product = 'USB Vendor Specific Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_596_1_noserial_if0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0' (string)
  usb.bus_number = 2 (0x2) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 1040 (0x410) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 255 (0xff) (int)
  usb.interface.number = 0 (0x0) (int)
  usb.interface.protocol = 0 (0x0) (int)
  usb.interface.subclass = 0 (0x0) (int)
  usb.is_self_powered = true (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0' (string)
  usb.max_power = 100 (0x64) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 1 (0x1) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB Vendor Specific Interface' (string)
  usb.product_id = 1 (0x1) (int)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'MicroTouch Systems, Inc.' (string)
  usb.vendor_id = 1430 (0x596) (int)
  usb.version = 1.1 (1.1) (double)

unixrab (unixrab) wrote :

asus eeepc 900 lshal

Julian Burgess (aubergene) wrote :

MSI Wind Top AE-1900 WT touchscreen inverted, resolution only 1360x768 instead of 1366x768.

I have a LG C1 Tablet and the touch screen not works... :(

I can't find the entries of my touchscreen in the file "evtouch_hal.out", generate by the command "lshal".

My file "evtouch_hal.out" can be downloaded in http://200.131.37.236/temp/evtouch_hal.out

description: updated
description: updated
loryluny (loryluny) wrote :

I can't calibrate the touchpad on a Samsung Q1 model NP-Q1. I'm using Ubuntu Jaunty Netbook remix. I've attached my evtouch_hal.out.
Thanks

loryluny (loryluny) wrote :

I can't calibrate the touchpad on a Samsung Q1 model NP-Q1. I'm using Ubuntu Jaunty Netbook remix. I've attached my evtouch_hal.out.
Thanks

ubuntu.diego (ubuntu-diego) wrote :

Ubuntu 9.04 on HP Pavilion tx2000

donpoon (donpoon-hotmail) wrote :

Failed to calibrate FireBox 15" Touchscreen (FBXU09-T150DR-B).
Ubuntu 9.04 32bit Desktop

udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_2' (string)
  info.product = 'eGalax TouchScreen' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial' (string)
  info.vendor = 'D-WAV Scientific Co., Ltd' (string)
  linux.device_file = '/dev/bus/usb/004/002' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1' (string)
  usb_device.bus_number = 4 (0x4) (int)
  usb_device.can_wake_up = true (bool)
  usb_device.configuration = '07U0196' (string)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 256 (0x100) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 2 (0x2) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1' (string)
  usb_device.max_power = 100 (0x64) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 1 (0x1) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'eGalax TouchScreen' (string)
  usb_device.product_id = 1 (0x1) (int)
  usb_device.speed = 1.5 (1.5) (double)
  usb_device.vendor = 'D-WAV Scientific Co., Ltd' (string)
  usb_device.vendor_id = 3823 (0xeef) (int)
  usb_device.version = 1.1 (1.1) (double)

Amit Kucheria (amitk) wrote :

@neil: Are you sure it is a USB touchscreen? lsusb output?

Silver Kuo (silverkuo) wrote :

Sony VAIO VGN-UX50

Yes, it's USB.

I'll send the lsusb shortly after I reconnect the host pc.

-Dave

On Tue, Jun 9, 2009 at 2:01 AM, Amit Kucheria
<email address hidden>wrote:

> @neil: Are you sure it is a USB touchscreen? lsusb output?
>
> --
> evtouch meta bug to collect lshal info
> https://bugs.launchpad.net/bugs/317094
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xf86-input-evtouch” source package in Ubuntu: Confirmed
>
> Bug description:
> This bug is used to collect the lshal info people are asked to submit when
> evtouch calibration fails.
> Formerly this collection was done via the ubuntu-mobile mailing list, which
> is a subscription only list and the traffic of submissions from unsunscribed
> people got to much of a maintenance burden for the list admins.
>
> All evtouch lshal output should be collected as attachemnts to this bug
> now.
> If people have assembled .fdi files from this data they should be collected
> here as well, so they can be included in the package.
>
>

bigwave (dgmunoz) wrote :

Hi Amit,

Here you go. Please ping if you need anything else or you want me to try
something.

Cheers,
Dave

foo@foo-desktop:~$ lsusb
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 045e:0029 Microsoft Corp. IntelliMouse Optical
Bus 001 Device 002: ID 0596:0001 MicroTouch Systems, Inc. Touchscreen
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

On Thu, Jun 11, 2009 at 9:40 AM, dave munoz <email address hidden> wrote:

> Yes, it's USB.
>
> I'll send the lsusb shortly after I reconnect the host pc.
>
> -Dave
>
>
> On Tue, Jun 9, 2009 at 2:01 AM, Amit Kucheria <<email address hidden>
> > wrote:
>
>> @neil: Are you sure it is a USB touchscreen? lsusb output?
>>
>> --
>> evtouch meta bug to collect lshal info
>> https://bugs.launchpad.net/bugs/317094
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “xf86-input-evtouch” source package in Ubuntu: Confirmed
>>
>> Bug description:
>> This bug is used to collect the lshal info people are asked to submit when
>> evtouch calibration fails.
>> Formerly this collection was done via the ubuntu-mobile mailing list,
>> which is a subscription only list and the traffic of submissions from
>> unsunscribed people got to much of a maintenance burden for the list admins.
>>
>> All evtouch lshal output should be collected as attachemnts to this bug
>> now.
>> If people have assembled .fdi files from this data they should be
>> collected here as well, so they can be included in the package.
>>
>>
>

Download full text (22.4 KiB)

ciao scusate ma non parlo inglese.....ho installato ubuntu 9.4 sulmio htc shift, ha il touchscreen, caricando la calibrazione mi da errore e mi dice questo:
 usb_device.vendor_id = 7531 (0x1d6b) (int)
  usb_device.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1_if0'
  info.linux.driver = 'hub' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1' (string)
  info.product = 'USB Hub Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_1_if0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0' (string)
  usb.bus_number = 3 (0x3) (int)
  usb.can_wake_up = true (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 9 (0x9) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 518 (0x206) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 9 (0x9) (int)
  usb.interface.number = 0 (0x0) (int)
  usb.interface.protocol = 0 (0x0) (int)
  usb.interface.subclass = 0 (0x0) (int)
  usb.is_self_powered = true (bool)
  usb.linux.device_number = 1 (0x1) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0' (string)
  usb.max_power = 0 (0x0) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 1 (0x1) (int)
  usb.num_ports = 2 (0x2) (int)
  usb.product = 'USB Hub Interface' (string)
  usb.product_id = 1 (0x1) (int)
  usb.serial = '0000:00:1d.1' (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Linux Foundation' (string)
  usb.vendor_id = 7531 (0x1d6b) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/pci_8086_27c8'
  info.linux.driver = 'uhci_hcd' (string)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = '82801G (ICH7 Family) USB UHCI Controller #1' (string)
  info.subsystem = 'pci' (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_27c8' (string)
  info.vendor = 'Intel Corporation' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'pci' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0' (string)
  pci.device_class = 12 (0xc) (int)
  pci.device_protocol = 0 (0x0) (int)
  pci.device_subclass = 3 (0x3) (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0' (string)
  pci.product = '82801G (ICH7 Family) USB UHCI Controller #1' (string)
  pci.product_id = 10184 (0x27c8) (int)
  pci.subsys_product_id = 4097 (0x1001) (int)
  pci.subsys_vendor_id = 21863 (0x5567) (int)
  pci.vendor = 'Intel Corporation' (string)
  pci.vendor_id = 32902 (0x8086) (int)

udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_27c8' (string)
  info.product = '1.1 root hub' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0' (string)
  info.vendor = 'Linux Founda...

owenspa (peter-nanks) wrote :

I have a sony vaio vgn-ux17gp. Was running Kununtu Hardy using evtouch, it didn't
need calibrating using this xorg.conf entry. With UMR Jaunty it does need calibrating.

Section "InputDevice"
        Identifier "Touchscreen"
        Option "SendCoreEvents" "true"
        Driver "evtouch"
        Option "Device" "/dev/input/gunze"
        Option "DeviceName" "touchscreen"
        Option "MinX" "32"
        Option "MaxX" "992"
        Option "MinY" "38"
        Option "MaxY" "968"
        Option "ReportingMode" "Raw"
        Option "MoveLimit" "5"
        Option "ButtonlessDevice" "true"

        #Option "MinY" "33"
        #Option "MaxY" "993"
        #Option "MinX" "39"
        #Option "MaxX" "968"
        #Option "Rotate" "CCW"
        #Option "Calibrate" "1"
EndSection

tapsevarg (tapsevarg) wrote :

I have an HP TX1000. It's a tablet and the touch screen is supposed to work.
I have also tried many theoretical fixes on Ubuntu forums without success.

I downloaded the Evtouch package. When I open up the screen calibration, I am told no touchscreen is recognized.

Hello, I have a MSI Wind Touch AE1900.. The touchscreen axis seems to be inverted...

Here is some additional informations...

Bureau.tar.gz contains the following log:

/var/log/Xorg.0.log,
/etc/X11/xorg.conf
lspci -vvnn
xrandr --verbose

Maybe this information could be useful too..

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.3-0ubuntu11~904um1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=fr_CA.UTF-8
ProcVersion: Linux version 2.6.28-13-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009
Uname: Linux 2.6.28-13-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tommaso (tololl-aruba) wrote :

Acer Extensa 5220

Marc Salvetti (salvetti-marc) wrote :

Dell touchscreen monitor E173FP

somehow it is recognized under jaunty but behave randomly. Calibration utility didn't get installed at first. I installed the patch from Ramaddan in bug 317127 which added the calibration utility to the menu but I get a message saying no evtouch capable device has been found and suggest posting here

I also tried configuration manually in xorg.conf but that ended up sending all the click to the bottom right of the screen.

Thanks for any help!

Here some additionnal information.

commun.tar.gz contains:
lshal.log
lsusb.log

The touch panel of the AE1900 is make by IdeaCom.... What can I do to help development??

thanks!

Manfred (mwinnig) wrote :

Silverstone's touch screen "HID Touch Panel" (maybe its a noname model?)
The touch screen seems to work, but I can't calibrate it. All clicks seems to go to the right bottom corner. Attached is my evtouch_hal.out

Thanks for the help!

Ingmar (ingmar-koecher) wrote :

Attached is the output from a Fujitsu Lifebook P1610. Thanks!

rutorshand (rutorshand) wrote :

Attached evtouch_hal.out

Model: Asus R2H

Touchscreen works but is not propperly calibrated. Calibration doesn't work

Thaks!

Ribeiro (ribeiro123) wrote :

The attached lshal output is for a HP tablet TX2110us on Ubuntu 9.04.

Flaker (flaker-kapper) wrote :

Hi,

Attached is the lshal output for a fujitsu u810. the touch panel is not recognized at all. Let mi know if you need something else.

Thanks.

Ernesto (ecorona-bhp-global) wrote :

Hi,

find attached output for a netbook CX-Performance (made/assembly in Argentina).
Touchpad is not working at all, and the netbook is so recently released that it is impossible to find Linux support nor the community neither the manufacturer.
I am trying Ubuntu Remix 9.04.

Good job.

Robert Bigoss (bob-bigoss) wrote :

Hi,

Attached is the lshas output for fujitsu T series lifebook tablet T4010D
OS Ubuntu 9.04

Here's the output for Sony Vaio UX something. Probably UX1XN.

Infuriatingly, the touch screen works ALMOST perfectly with a fresh ubuntu 9.04 netbook remix installation. I can access an area that is about 20-30 pixels away from each edge of the screen. To get to the edges, to scroll or close window etc I have to use the tocupoint...

Rotation doesn't work at all though. Perhaps related to calibration not working..?

origtopcat (origtopcat) wrote :

Hi,

Attached is the lshas output for Acer Travelmate C110 tablet
OS Ubuntu 9.04

Hello,

Here is the HAL info for the Clevo TN120R / TN120T

geraldo (geraldo-servus) wrote :

hal output of EEEPC 1000H

Touchpad works but is very sensible so calibration is needed. calibrate_touchpad shows error that no evtouch captable device was found.

Silver Kuo, owenspa and other Vaio UX users:

try adding this file to /etc/hal/fdi/policy/gunzetouch.fdi:

<?xml version="1.0" encoding="ISO-8859-1" ?>
<deviceinfo version="0.2">
<device>
  <match key="info.product" contains="GUNZE USB Touch Panel">
 <merge key="input.x11_driver" type="string">evtouch</merge>
 <merge key="input.x11_options.ReportingMode" type="string">Raw</merge>
 <merge key="input.x11_options.Emulate3Buttons" type="string">false</merge>
 <merge key="input.x11_options.Emulate3Timeout" type="string">1</merge>
 <merge key="input.x11_options.SendCoreEvents" type="string">On</merge>
 <merge key="input.x11_options.MinX" type="string">35</merge>
 <merge key="input.x11_options.MinY" type="string">37</merge>
 <merge key="input.x11_options.MaxX" type="string">990</merge>
 <merge key="input.x11_options.MaxY" type="string">986</merge>
  </match>
</device>
</deviceinfo>

or change setting to your liking. After a reboot you should be able to run the calibration tool.

NOTE: I have experienced freezes after taking evtouch into use in Jaunty, so be ware! Please let me know if this works for you.

Could somebody who knows what they're doing have a look at this fdi and tell me if it's ok? I hacked this together without really knowing what I was doing... Once polished should this be added to the evtouch or hal package?

Sami,

Thanks, it works for me on my UX17GP running UNR 9.04.
So far I have not experienced any freezes.

Peter.

On Mon, 20 Jul 2009, Sami Mäkinen wrote:
> Silver Kuo, owenspa and other Vaio UX users:
>
> try adding this file to /etc/hal/fdi/policy/gunzetouch.fdi:
>
> <?xml version="1.0" encoding="ISO-8859-1" ?>
> <deviceinfo version="0.2">
> <device>
> <match key="info.product" contains="GUNZE USB Touch Panel">
> <merge key="input.x11_driver" type="string">evtouch</merge>
> <merge key="input.x11_options.ReportingMode" type="string">Raw</merge>
> <merge key="input.x11_options.Emulate3Buttons" type="string">false</merge>
> <merge key="input.x11_options.Emulate3Timeout" type="string">1</merge>
> <merge key="input.x11_options.SendCoreEvents" type="string">On</merge>
> <merge key="input.x11_options.MinX" type="string">35</merge>
> <merge key="input.x11_options.MinY" type="string">37</merge>
> <merge key="input.x11_options.MaxX" type="string">990</merge>
> <merge key="input.x11_options.MaxY" type="string">986</merge>
> </match>
> </device>
> </deviceinfo>
>
> or change setting to your liking. After a reboot you should be able to
> run the calibration tool.
>
> NOTE: I have experienced freezes after taking evtouch into use in
> Jaunty, so be ware! Please let me know if this works for you.
>
> Could somebody who knows what they're doing have a look at this fdi and
> tell me if it's ok? I hacked this together without really knowing what I
> was doing... Once polished should this be added to the evtouch or hal
> package?
>

I got this message on Packard Bell Dot netbook running Ubuntu 9.04. The touchpad actually works fine, but I just cannot configure it from the control center.

No evtouch capable device found, if you are sure you have
an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the
bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added.

JPBoyer (jp-boyer) wrote :

Hello,
The calibration command did not bring anything but the request to send a bug report.
I am running Jaunty Jackalope with netbook set-up on a Samsung N10. Attached the evtouch_hal.out.
Thank you.

Michael Z. Krog (mic-apaq) wrote :

Im on a Asus eee top 1602. My touchscreen works fine(after manually tweaking xorg.conf),
but when trying to calibrate I get the following message:

"No evtouch capable device found, if you are sure you have
an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the
bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added."

I have attached the file.

tupa (kajohnpat) wrote :

Hello,

Attached is the lshas output for Samsung 733n
OS Ubuntu 9.04
plz, help thank.

Finch (jonatas-teixeira) wrote :

Hi, attached the lshal for HP pavillion tx2120us
Ubuntu 9.04
Kernel 2.6.28-14-generic

AntonBabkin (cluster-toha) wrote :

Hi! attached the
Lshal for Fujitsu-Siemens Lifebook B-2610.
Ubuntu 9.04
Kernel 2.6.28-14-generic

Zhendong Chen (chenzhendong) wrote :

I have a compaq tablet 2710p.
I got the unsupport error.

Evtouch_hal.out attached

Vishal Rao (vishalrao) wrote :

Amit's steps did not work for my HP Pavilion tx1302au tablet PC. lshal output attached.

snipped lsusb output:

Bus 001 Device 006: ID 0eef:0001 D-WAV Scientific Co., Ltd eGalax TouchScreen

Akoley Marc (ekomak) wrote :

touchscreen don't work well under jaunty, i can just click and can't use it to move on the screen .i can't also calibrate it

Andy (radkeandreas) wrote :

My touchscreen doesn't work.

Hp Pavilion tx 2500, model-number: tx2650eg

lsusb says:
Bus 007 Device 003: ID 056a:0093 Wacom Co., Ltd
Bus 007 Device 002: ID 08ff:1600 AuthenTec, Inc. AES1600
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 064e:a104 Suyin Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0bda:0158 Realtek Semiconductor Corp. Mass Stroage Device
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

The first line "Bus 007 Device 003: ID 056a:0093 Wacom Co., Ltd " is my touchscreen.

The touchscreen doesn't work before and doesn't work now. I can't touch anything.

Andy (radkeandreas) wrote :

BUT with this Howto

http://ubuntuforums.org/showthread.php?t=1038949&page=11
Post #104

my touchscreen gonna work. ^^

Rémy (remy-saissy) wrote :

Hi,
I also have the issue.
Here is my output of lshal.

I have a brand new EeeTOP et1602 and I cannot get the touchscreen to work properly.

lsusb:
Bus 005 Device 002: ID 1bfd:1688 TouchPack Resistive Touch Screen

I tried the instructions here (http://idlethread.blogspot.com/2009/08/touchscreen-fail.html) but the touchscreen does not work.

I followed some instructions (http://wiki.linuxmce.org/index.php/Asus_EeeTop) and got the touchscreen to partly work. I had to modify my xorg.conf file and add this udev rule

KERNEL=="event*", SUBSYSTEM=="input", ATTRS{idVendor}=="1bfd", ATTRS{idProduct}=="1688", SYMLINK+="input/evtouch"

I think somehow the driver got the x/y/z/rx mixed up. A press on the middle of the screen produces a Z, Rx coordinates of (2365, 2176).

Input driver version is 1.0.0
Input device ID: bus 0x3 vendor 0x1bfd product 0x1688 version 0x101
Input device name: "HID TOUCH HID Touch Panel"
Supported events:
  Event type 0 (Sync)
  Event type 1 (Key)
    Event code 272 (LeftBtn)
    Event code 273 (RightBtn)
    Event code 274 (MiddleBtn)
    Event code 320 (ToolPen)
    Event code 330 (Touch)
    Event code 331 (Stylus)
  Event type 3 (Absolute)
    Event code 0 (X)
      Value 0
      Min 0
      Max 4095
    Event code 1 (Y)
      Value 0
      Min 0
      Max 4095
    Event code 2 (Z)
      Value 1678
      Min 0
      Max 4095
    Event code 3 (Rx)
      Value 2056
      Min 0
      Max 4095
  Event type 4 (Misc)
    Event code 4 (ScanCode)
Testing ... (interrupt to exit)
Event: time 1249686352.567316, type 4 (Misc), code 4 (ScanCode), value 90001
Event: time 1249686352.567343, type 1 (Key), code 272 (LeftBtn), value 1
Event: time 1249686352.567358, type 3 (Absolute), code 2 (Z), value 2365
Event: time 1249686352.567364, type 3 (Absolute), code 3 (Rx), value 2176
Event: time 1249686352.567371, -------------- Report Sync ------------
Event: time 1249686352.664318, type 4 (Misc), code 4 (ScanCode), value 90001
Event: time 1249686352.664346, type 1 (Key), code 272 (LeftBtn), value 0
Event: time 1249686352.664365, -------------- Report Sync ------------

Chiuchu (salmi-charaf) wrote :

Hi !

I just got a wonderful HP TouchSmart TX2 1050ef, all is compatible out of the box with Ubuntu 9.10, even the touchscreen using these instructions https://wiki.cse.unsw.edu.au/~jlennox/cgi-bin/moin.cgi/powmri/touchsmart

But I still have one issue :
The touchscreen works only with the pen, it doesn't work with fingers as like as in Windows Vista.

When I try to calibrate it, it says :
"No evtouch capable device found, if you are sure you have an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added."

So, my evtouch_hal.out is attached.

Good luck !

Charaf SALMI

mandeepwwe (gamer-junkie) wrote :

I have HP Tx1000 series. I installed evtouch and calibrated.

It's working nicely, Double-click, right click working fine.

Only thing is not working is drag/move.

I have attached my lshal output.

Thanks

Here are the evtouch_hal.out
xorg.conf
lspci
and
xorg.0.log
files

from an Asus EeeTop ET1602

here are the rest of the files for the Asus Eee Top ET1602

laeng (laeng) wrote :

another lshal for an eGalax touch screen I bought from a chinese vendor and installed into my Acer Aspire One

Hello,

i'am using Ubuntu 8.10, my Touchscreen is working just with the pen.
On Ubunut 9.04 Alpha4 nothing is working.. no pen, no touch.

System:
HP TouchSmart TX2 1150eg
The Touchscreen seems to be a N-Trig.

Ibagus (ibagusm) on 2009-08-21
description: updated
summary: - evtouch meta bug to collect lshal info
+ result of command "lshal"
summary: - result of command "lshal"
+ meta bug to collect lshal touchscreen info
description: updated
summary: - meta bug to collect lshal touchscreen info
+ result of command "lshal"
Oliver Grawert (ogra) on 2009-08-21
summary: - result of command "lshal"
+ meta bug to collect lshal touchscreen info
Cesar Sevilla (c3s4r) wrote :

Good, I have a HP TouchSmart LQ510LA, you install all the Nvidia driver and xserver-xorg-input-evtouch trying to configure it but I ask that reported the error attached to this comment. Has anyone made this device work?

The distribution I'm using is 9.04.

Buenas, tengo una HP TouchSmart LQ510LA, le instale todos los driver Nvidia y el xserver-xorg-input-evtouch pero al tratar de configurarlo me solicito que reportara el error que adjunto a este comentario. ¿Alguien ha hecho funcionar este dispositivo?

La distribución que estoy usando es la 9.04.

Ralf (ralf-kaestner) wrote :

- attached is "lshal" for "iMON USB Touchscreen" (15c2:0034).

- requires lirc_imon.ko 0.8.6 (current 0.8.5 lirc does not yet support the device, usbhid doesn't support it as well)

- using the latest 0.8.6 lirc_imon.ko as driver requires quirk for usbhid to not grab the device: options usbhid quirks=0x15c2:0x0034:0x0004

- evtouch does not recognize the touchscreen device after loading the correct lirc_imon.ko

- "evtest" utility works fine on /dev/input/event8 (as example) and prints coordinates after loading the 0.8.6 lirc_imon.ko

===============

udi = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1'
  info.linux.driver = 'lirc_imon' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial' (string)
  info.product = 'USB HID Interface' (string)
  info.subsystem = 'usb' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.1/usb5/5-1/5-1:1.1' (string)
  usb.bus_number = 5 (0x5) (int)
  usb.can_wake_up = false (bool)
  usb.configuration_value = 1 (0x1) (int)
  usb.device_class = 0 (0x0) (int)
  usb.device_protocol = 0 (0x0) (int)
  usb.device_revision_bcd = 18 (0x12) (int)
  usb.device_subclass = 0 (0x0) (int)
  usb.interface.class = 3 (0x3) (int)
  usb.interface.number = 1 (0x1) (int)
  usb.interface.protocol = 0 (0x0) (int)
  usb.interface.subclass = 0 (0x0) (int)
  usb.is_self_powered = false (bool)
  usb.linux.device_number = 2 (0x2) (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.1/usb5/5-1/5-1:1.1' (string)
  usb.max_power = 100 (0x64) (int)
  usb.num_configurations = 1 (0x1) (int)
  usb.num_interfaces = 2 (0x2) (int)
  usb.num_ports = 0 (0x0) (int)
  usb.product = 'USB HID Interface' (string)
  usb.product_id = 52 (0x34) (int)
  usb.speed = 1.5 (1.5) (double)
  usb.vendor = 'SoundGraph Inc.' (string)
  usb.vendor_id = 5570 (0x15c2) (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1_logicaldev_input'
  button.has_state = false (bool)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'button', 'input.touchpad'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1' (string)
  info.product = 'iMON USB Touchscreen (15c2:0034)' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1_logicaldev_input' (string)
  input.device = '/dev/input/event8' (string)
  input.originating_device = '/org/freedesktop/Hal/devices/usb_device_15c2_34_noserial_if1' (string)
  input.product = 'iMON USB Touchscreen (15c2:0034)' (string)
  linux.device_file = '/dev/input/event8' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.1/usb5/5-1/5-1:1.1/input/input8/event8' (string)

Ralf (ralf-kaestner) wrote :

I made my touchscreen from comment #120 working by putting the following into /etc/hal/fdi/policy/imontouch.fdi, then reload hal or reboot, then run default calibrate tool:

<deviceinfo version="0.2">
  <device>
    <match key="info.product" contains="iMON USB Touchscreen (15c2:0034)">
    <match key="info.capabilities" contains="input">
      <merge key="input.x11_driver" type="string">evtouch</merge>
      <merge key="input.x11_options.calibrate" type="string">1</merge>
      </match>
    </match>
  </device>
</deviceinfo>

Chris St. John (chrisjstjohn) wrote :

Fujitsu Lifebook B3020

from Xorg.0.log:

(II) config/hal: Adding input device LBPS/2 Fujitsu Lifebook TouchScreen
(--) LBPS/2 Fujitsu Lifebook TouchScreen: no supported touchpad found
(**) LBPS/2 Fujitsu Lifebook TouchScreen: always reports core events
(II) XINPUT: Adding extended input device "LBPS/2 Fujitsu Lifebook TouchScreen" (type: TOUCHPAD)
(**) LBPS/2 Fujitsu Lifebook TouchScreen: (accel) keeping acceleration scheme 1
(**) LBPS/2 Fujitsu Lifebook TouchScreen: (accel) filter chain progression: 2.00
(**) LBPS/2 Fujitsu Lifebook TouchScreen: (accel) filter stage 0: 20.00 ms
(**) LBPS/2 Fujitsu Lifebook TouchScreen: (accel) set acceleration profile 0
(--) LBPS/2 Fujitsu Lifebook TouchScreen: no supported touchpad found

Liane (liane-tomomi) wrote :

I'm using a Lenovo X200 Tablet. There is a Touchscreen and WACOM boad included.
Both is working in Ubuntu but the Touchscreen needs to be calibrated. Unfortunately evtouch don't recognize the touchscreen.

leonid (leonid-gorski) on 2009-09-04
description: updated
summary: - meta bug to collect lshal touchscreen info
+ Calibration error for the sony vgn-ux1xrn

Calibration error for the sony vgn-ux1xrn

Oliver Grawert (ogra) on 2009-09-04
summary: - Calibration error for the sony vgn-ux1xrn
+ meta bug to collect lshal touchscreen info
description: updated
bkofford (bkofford) wrote :

Fujitsu P1510D

Marko Z. (markoz) wrote :

MicroTouch Systems, Inc. MicroTouch USB Touchscreen - EX II

samson (samson-wit) wrote :

HP tx2110us
touch screen tablet notebook

ASUS eeePC 900 A
9.04 Jaunty
Linux 2.6.8-15-generic
GNOME 2.26.1

erleperle (erleperle) wrote :

Addede output from HP TouchSmart tx2

Ajai (allen-k-su) wrote :

output from lshal:

Halverneus (halverneus) wrote :
Halverneus (halverneus) wrote :

Netbook touchscreen output.

Bjarke Knudsen (bjarkegosvig) wrote :

hp tx 2020eo

ubuntu 9.10 alpha 6

Pantomax (pantomax) wrote :
Moksha (since-david) wrote :

I have a asus eeepc 101

the touchscreen of an asus eeetop 1502 with karmic beta

it was working fine in jaunty and intrepid

Daniel Dolinov (imlad) wrote :
Download full text (153.3 KiB)

I have an HP Pavilion tx 2000 with a touch screen. Here ithe output of the evtouch_hal.out file:

Dumping 148 device(s) from the Global Device List:
-------------------------------------------------
udi = '/org/freedesktop/Hal/devices/computer'
  info.addons = {'hald-addon-cpufreq', 'hald-addon-acpi'} (string list)
  info.callouts.add = {'hal-storage-cleanup-all-mountpoints'} (string list)
  info.capabilities = {'cpufreq_control'} (string list)
  info.interfaces = {'org.freedesktop.Hal.Device.SystemPowerManagement', 'org.freedesktop.Hal.Device.CPUFreq'} (string list)
  info.product = 'Computer' (string)
  info.subsystem = 'unknown' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer' (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_argnames = {'num_seconds_to_sleep', 'num_seconds_to_sleep', '', '', '', 'enable_power_save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_execpaths = {'hal-system-power-suspend', 'hal-system-power-suspend-hybrid', 'hal-system-power-hibernate', 'hal-system-power-shutdown', 'hal-system-power-reboot', 'hal-system-power-set-power-save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_names = {'Suspend', 'SuspendHybrid', 'Hibernate', 'Shutdown', 'Reboot', 'SetPowerSave'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_signatures = {'i', 'i', '', '', '', 'b'} (string list)
  org.freedesktop.Hal.version = '0.5.13' (string)
  org.freedesktop.Hal.version.major = 0 (0x0) (int)
  org.freedesktop.Hal.version.micro = 13 (0xd) (int)
  org.freedesktop.Hal.version.minor = 5 (0x5) (int)
  power_management.acpi.linux.version = '20090521' (string)
  power_management.can_hibernate = true (bool)
  power_management.can_suspend = true (bool)
  power_management.can_suspend_hybrid = false (bool)
  power_management.is_powersave_set = false (bool)
  power_management.quirk.dpms_on = true (bool)
  power_management.quirk.dpms_suspend = true (bool)
  power_management.quirk.vbe_post = true (bool)
  power_management.quirk.vbemode_restore = true (bool)
  power_management.quirk.vbestate_restore = true (bool)
  power_management.quirk.vga_mode_3 = true (bool)
  power_management.type = 'acpi' (string)
  system.board.product = '30F1' (string)
  system.board.serial = 'None' (string)
  system.board.vendor = 'Quanta' (string)
  system.board.version = '97.20' (string)
  system.chassis.manufacturer = 'Quanta' (string)
  system.chassis.type = 'Notebook' (string)
  system.firmware.release_date = '02/17/2009' (string)
  system.firmware.vendor = 'Hewlett-Packard' (string)
  system.firmware.version = 'F.0B' (string)
  system.formfactor = 'laptop' (string)
  system.formfactor.subtype = 'tabletpc' (string)
  system.hardware.primary_video.product = 38418 (0x9612) (int)
  system.hardware.primary_video.vendor = 4098 (0x1002) (int)
  system.hardware.product = 'HP Pavilion tx2500 Notebook PC' (string)
  system.hardware.serial = 'CNF8250S83' (string)
  system.hardware.uuid = '434E4638-3233-354C-3351-001E6882604D' (string)
  system.hardware.vendor = 'Hewlett-Packard' (string)
  system.hardware.version = 'Rev 1' (string)
  system...

Andrew Frank (frank-geoinfo) wrote :

this is from a fujitsu p1630
with the setting for tablet.
my problem may be that i installed the system with setting 'touch screen' but i think tablett gives the better resolution.
how do i make HAL retest the devices and install both options?
thank you
andrew

lshal out file for Vye Mini-V S37

Changed in xf86-input-evtouch (Ubuntu):
status: Confirmed → New
Asger Ottar Alstrup (asger) wrote :

Output from a HP touchsmart, as requested when trying to calibrate my touchscreen.

kardave (kardave) wrote :

Jaunty+ LG L1730SF connected with USB.

Download full text (11.6 KiB)

From https://bugs.launchpad.net/ubuntu/+bug/444911:

This is the error message returned when trying to calibrate the touch-screen of an etop 1602. The touch screen itself works, but contrary to what I have read on the subject, it does require fine tuning to be useful!

No evtouch capable device found, if you are sure you have
an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the
bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added.

Description: Ubuntu 9.04
Release: 9.04

xserver-xorg-input-evtouch:
  Installiert: 0.8.8-0ubuntu3
  Kandidat: 0.8.8-0ubuntu3
  Versions-Tabelle:
 *** 0.8.8-0ubuntu3 0
        500 http://fr.archive.ubuntu.com jaunty/universe Packages
        100 /var/lib/dpkg/status

Here is the result of lspci -vvnn

00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel
 Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fe980000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at dc80 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at fe940000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>
 Kernel modules: intelfb

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at fe880000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device [1043:835f]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fe938000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [...

thomasjohansen (tvj) wrote :

I have a Eee Top ET1602 evtouch siad to upload output here:

any solutions?

thomasjohansen (tvj) wrote :

xorg.0.log

thomasjohansen (tvj) wrote :
Download full text (10.6 KiB)

lspci -vvnn
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel
 Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fe980000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at dc80 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at fe940000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:82d1]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at fe880000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device [1043:835f]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fe938000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000e000-0000efff
 Memory behind bridge: fea00000-feafffff
 Prefetchable memory behind bridge: 00000000fdf00000-00000000fdffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: <access denied>
 Kernel d...

Johnik (johnplv) wrote :

HP Pavilion tx 2520er

Hello,

HP TouchSmart TX2 1150eg

William Papa (bpapa9013) wrote :

Fujitsu T3010d Karmic

Eric Westphal (bonanzaeric) wrote :

From my Lenovo Thinkpad X60, lshal output attached.

lshal output attached for HP TX2-1270us

marwan (mhalhalabi) on 2009-10-31
Changed in xf86-input-evtouch (Ubuntu):
assignee: nobody → marwan (mhalhalabi)
p22s (p22s) wrote :

HELP!

TomRos (tom-ros) wrote :

EeeTop PC ET1602

Thanks

jung1emonkee (jung1emonkee) wrote :

Hi,

attached lshal output is for Fujitsu LifeBook P1610 (on Ubuntu 9.04 Jaunty)

schoeb (schoeb) wrote :

hi out there,
i've got a brand new tablet pc (lenovo x200) with touch screen capability which does not work yet under ubuntu 9.10 and gnome 2.28.1. any hints?
thank you very much

attached: evtouch_hal.out

akmon (kevin-munk) wrote :

hi,
there i have an output for an touchscreen of the Convertible Classmate PC or CTL2Go

Sylvain Boily (sboily) wrote :

Hello,

In attachment an output for DELL studio one 19.

l_e_e (libondam) wrote :

Attached lshal output from

computer: Dell Latitude XT
touchscreen: N-Trig Native Dual Mode (Electrostatic pen & capacitative multi-touch)
operating system: Ubuntu 9.04

thanks

Computer:
Computer: Elo Touch computer 15D1
Typical solution for cash registers
Has built in Elo TouchSystems 2216 AccuTouch

Paps (vivienfrasca11) wrote :

Hello, here my lshal out.
Hoping you can resolve this bug

Paps, France

Rainer78 (rainerstuelp) wrote :

Hi,

I have an Elo TouchSystems 2216 and Ubuntu 9.10 and Gnome.

lsusb:
Bus 003 Device 002: ID 04e7:0050 Elo TouchSystems 2216 AccuTouch(R) Touchmonitor Interface

Touchscreen works, but it canot be calibrated with "Calibrate Touchscreen".
"No evtouch capable device found, if you are sure you have an evtouch capable touchscreen, please mail the resulting file of the command ...."

Crewdawg (aogcrewdawg) wrote :

ASUS T91MT

Ralf Herold (ralf-herold) wrote :

Acer Aspire Z5610 all-in-one with Quanta Computer Inc. Optical Touch Screen:
Attached is output of lshal. Thank you

donpoon (donpoon-hotmail) wrote :

FireBox with eGalax touchscreen controller.
Hope you will support it soon.
Thank you

ebooa (gatesubuntu) wrote :

greetings. im kind of new o ubuntu and i recently tried to find out if my laptop has any kind of touchscreen support.
i've found this bug page after having installed xorg-evtouch and i would like to know if its possible to configure my laptop to get some touchscreen goodies.

PocketBrain (brainbulge) wrote :

Fujitsu Lifebook U810.

Please free me from Vista!

johnnywalker090 (paul-tiret) wrote :

hal output for Fujitsu Lifebook p1510d

dudu (haarkhaen) wrote :

evtouch_hal.out for an old panasonic Toughbook CF-18
thanks

raph (raphael-lallement) wrote :

Hello, i got an error message asking me to send the attached log.
May you help me ? (My computer is a HP touchsmart tx2 1275dx)
best regards

Just unboxed a Dell SX2210T plugged it into a fresh install of Ubuntu Karmic 9.10 installed evtouch, touchscreen does not respond at all.
Calibration program asks to report bug.

mcafee545 (mcafee545) wrote :

The attached lshal output is for a LG C1 Express Dual Tablet PC on Ubuntu 9.10.

cslotty (christine-slotty) wrote :

- Running karmic netbook remix, 32bit
- No touchscreen configured out of the box (btw, no xorg.conf exists!)
- executing http://idlethread.blogspot.com/2009/08/touchscreen-fail.html didn't change anything
- everything else seems fine

uname -a
Linux shuttle-desktop 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:01:29 UTC 2009 i686 GNU/Linux

lsusb: Bus 001 Device 005: ID 0eef:0001 D-WAV Scientific Co., Ltd eGalax TouchScreen

machine: Shuttle X50XB - Atom 330 2GB/160GB

lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
02:00.0 Network controller: RaLink RT2860

lshal attached

HTH

cslotty (christine-slotty) wrote :

Regarding my comment #171: I found something in my Xorg.0.log

(II) config/hal: Adding input device eGalax Inc. USB TouchController
(--) eGalax Inc. USB TouchController: no supported touchpad found
(EE) eGalax Inc. USB TouchController Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "eGalax Inc. USB TouchController"
(EE) config/hal: NewInputDeviceRequest failed (8)

So at least it's trying to use this device.

dmesg says:
[ 12.728361] input: eGalax Inc. USB TouchController as /devices/pci0000:00/0000:00:1d.7/usb1/1-8/1-8.2/1-8.2:1.0/input/input7
[ 12.728749] generic-usb 0003:0EEF:0001.0003: input,hiddev97,hidraw2: USB HID v2.10 Pointer [eGalax Inc. USB TouchController] on usb-0000:00:1d.7-8.2/input0

But as I said, doesn't work.

bsgcic (bsgcic) wrote :

Hi I just installed on Ubuntu 9.10 on a HP TouchSmart tx2 VH884PA touchscreen laptop (Japanese machine). I received the following error message:

No evtouch capable device found, if you are sure you have
an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the
bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added.

I am guessing that I am supposed to add the file to this bug thead using "Add attachment or patch"?

Please let me know if this is correct or if I am supposed to email it to a launchpad.net email address.

Thank you

t (t-c-base) wrote :

its the output of a IBM thinkpad x60t.

bsgcic (bsgcic) wrote :

Machine: HP TouchSmart tx2 VH884PA touchscreen laptop (Sold in Japan). Technology appears equivalent to HP's touchscreen laptops in the U.S.
OS: Ubuntu 9.10
Touchscreen device: /dev/input/event8
Type of touchscreen: NextWindow.com (http://www.nextwindow.com/nextwindow_support/app_working_under_linux_2.html)

After modifying /etc/X11/xorg.conf, Touchscreen recognized. However not calibrated and your software not recognizing it.
(Reference used to gain recognition of the touchscreen: http://rkvsraman.blogspot.com/2008/10/gotcha-for-hp-touchsmart-pc.html)

Output of lshal > evtouch_hal.out is attached.

Please add.

Thank you

gpulig (gpulig) wrote :

evtouch_hal.out attached. Trying to use a Dell SX2210T with Ubuntu 9.04. Would be comfortable if just the basic touchscreen portion worked, even though the monitor supposedly supports multi-touch. dmesg seems to see the USB bus, camera and touch screen, but the touch screen portion does not seem to activate:

[ 10.565192] generic-usb 0003:1926:0064.0003: hiddev96,hidraw0: USB HID v1.11 Device [NextWindow Touchscreen] on usb-0000:00:1a.7-1.2.1/input1

Paps (vivienfrasca11) wrote :

I've found an hid driver for an older version of Xorg. It's working on Ubuntu 9.04 and older. This driver should be updated for the lastest version, but I think it's author has stopped the development.

Here the link on SourceForge : http://sourceforge.net/projects/hidtouchsuite/files/

The calibration task is not very easy to do, but it's better than nothing...

Hoping it will help you to include this driver (or a new version) in next versions of Linux distributions based on Xorg.

Best regards.

No evtouch capable device found, if you are sure you have
an evtouch capable touchscreen, please mail the resulting file of the command "lshal > evtouch_hal.out" to the
bug url https://bugs.launchpad.net/bugs/317094, so support for your device can be added.

p22s (p22s) wrote :

Помогите! Ноутбук ASUS R1F tourchscreen работает, но программа для калибровки экрана не запускается и просит сообщить о баге... Проблема в том, что координаты ближе к 0:0 совподают с реальным положением пера, но чем дальше от 0 по любой оси, тем нереально больше удаляется курсор, т.е. перестает соответствовать своему положению и уходит за края экрана, когда перо реально находиться чуть дальше середины экрана. Так же не работает вторая кнопка пера и удержание пера. HELP! Help! HELP! mailto:<email address hidden>

hyperelliptic (vivek-mallick) wrote :

lshal output for HP Pavillion tx2000. Touch screen does not work even after 'modprobe'-ing usbtouchscreen and adding the required line in /sys . The usb id of the touchscreen is 056a:0093

hyperelliptic (vivek-mallick) wrote :

lspci output for HP Pavillion tx2000. usbtouchscreen module does not work for its Wacom touchscreen (056a:0093)

xyzzy99 (xyzzy99) wrote :

Itronix IX250, with Gunze touchscreen. Recognized as device, but does not respond or calibrate.

Here's my lshal.out. and lsusb. I have a eTurboTouch screen (in Medion Akoya P4010) and tried to use the TurboTouch (Linux) drivers from their site. Still no touch response whatsoever.

lsusb:
Bus 004 Device 002: ID 04f2:0618 Chicony Electronics Co., Ltd
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 04f2:b1a0 Chicony Electronics Co., Ltd
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 22b9:0008 eTurboTouch Technology, Inc.
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I have a /dev/usb/hiddev1 that at least give output when I cat it and touch the screen. Otherwise I am still in the dark to find a solution.

Bentiee (bentiee) wrote :

Hey Guys,
evtouch says I do not have a tochscreen. I'm using a Thinkpad X41 tablet on karmic koala (9.10).

Ole Carlsen (ole-carlsen-web) wrote :

This is regarding the MSI WindTop AE2220 and as others have mentioned there is some-kind of life on /dev/usb/hiddev0

bartschc (bartschc) wrote :

Attached the output for my old Fujitsu Siemens Lifebook B-2130 Biblio under Karmic (2.6.31-18-generic).

Lorem Daijoh (lorem-daijoh) wrote :

Lshal for old Fujitsu LifeBook B2154. The touchscreen has previously worked with Conans evtouch drivers. Xubuntus calibrate_touchscreen utility however doesn't recognize the device as "evtouch capable device".

Woko (wkoehn) wrote :

Affected is a NCR RealPOS 80XRT Pos-Terminal:
The touchscreen is a MicroTouch (3M USB - EX II), but got it running with the evtouch-module (not mutouch as expected).
Now the problem is the calibration on Xubuntu 9.10. Got the well known error-box: "no evtouch capable device found".

Last week I tried the touch-base driver (www.touch-base.com) and with a lot of help from their support, I managed to get the eTurboTouch (22b9:0008) on my Medion (Akoya P4010) working. Couldn't hold out on this. Attached is their driver that did it for me.

Prophet (peter-vanb) wrote :

I've added the evtouch_hal.out for the multitouch monitor iiyama ProLite T2250MTS.

Woko (wkoehn) wrote :

Got it running with this: <http://ubuntuforums.org/showthread.php?t=1020019>.
I only had to change the match-string to: "3M 3M Touchscreen - EX II". Calibration still does not work, but wasn't required in my case.

Lasselo (lasselo) wrote :

I have Umid M1 and calibrate not working. I didnt manage to find that evtouch_hal.out -file via "search"-program.

nbkz (nebakaze) wrote :

ASUS EEEPC T91MT
uBuntu 9.10 Karmic (desktop-i386)

description: updated
Oliver Grawert (ogra) wrote :
Download full text (10.6 KiB)

Moved comment from Markus Haybach that falsely changed the bug description.

I solved my problem. Here comes the report:

00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
 Subsystem: Device [1b7d:0002]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel
 Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae]
(rev 03)
 Subsystem: Device [1b7d:0002]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at 96280000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at 50c0 [size=8]
 Region 2: Memory at 80000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at 96300000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
 Subsystem: Device [1b7d:0002]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at 96200000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
 Subsystem: Device [1b7d:0002]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at 96340000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 00003000-00004fff
 Memory behind bridge: 95200000-961fffff
 Prefetchable memory behind bridge: 0000000090000000-00000000910fffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: <access denied>
 Kernel driver in use: pcieport-driver
 ...

description: updated
igl9397 (igl9397) wrote :

Hi, I am having to make my touchscreen recognized on Thunder board and touch screen by Technexion. OS is ubuntu 9.10. Thanks!

Mi6 (mi6-humpme) wrote :

udi = '/org/freedesktop/Hal/devices/usb_device_408_3001_noserial'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_06_0' (string)
  info.product = 'Optical Touch Screen' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_408_3001_noserial' (string)
  info.vendor = 'Quanta Computer, Inc.' (string)
  linux.device_file = '/dev/bus/usb/004/003' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:06.0/usb4/4-2' (string)
  usb_device.bus_number = 4 (0x4) (int)
  usb_device.can_wake_up = false (bool)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 0 (0x0) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 3 (0x3) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:06.0/usb4/4-2' (string)
  usb_device.max_power = 500 (0x1f4) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 1 (0x1) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'Optical Touch Screen' (string)
  usb_device.product_id = 12289 (0x3001) (int)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Quanta Computer, Inc.' (string)
  usb_device.vendor_id = 1032 (0x408) (int)
  usb_device.version = 1.1 (1.1) (double)

This is from a WindTop AE2220

numediacanada@numedia:~$ lsusb
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 0408:3001 Quanta Computer, Inc.
Bus 004 Device 002: ID 046d:c316 Logitech, Inc. HID-Compliant Keyboard
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 045e:0084 Microsoft Corp. Basic Optical Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 5986:0241 Acer, Inc
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Ted Striker (tedstriker73) wrote :

Hi. I cannot make the touchpad on my panasonic CF-T4 work. Enclosed are the required outputs. Help is appreciated. Thanks, Ted

BigDuke6 (peter-dukemedia) wrote :

Fujitsu Lifebook T1010D

Tôphe (christophe-regouby) wrote :

Hi,
"Calibrate Touchscreen" claims "no evtouch capable device" on the MSI WindTop AE2220 equiped with a USB Quanta Computer, Inc./ PixArt Imaging Inc. Optical Touch Screen at Bus 004 Device 003: ID 0408:3001

Thank you for your help!

mac-d (linux-kupkas) on 2010-03-15
tags: added: mac-d
tags: removed: mac-d
mac-d (linux-kupkas) wrote :

Attached output from lshal.
Touch works, but calibrate_touchscreen gives error about "no evtouch capable devices found..."

Kimos (sckimos) wrote :

Hi. Here is evtouch_hal.out .
Thanks.

Silke Meyer (sil-ke) wrote :

Hello! Here is the output of lshal on Fujitsu Siemens Lifebook B-2175 (Karmic Koala). Thank you.

stefano (sihtu) wrote :

evtouch_hal.out for Dell sx2210t

javier_10r (robert-6j) wrote :

Hi there here's y evtouch_hal.out for my hp touchsmart tx21275dx one question could I configure my touchscreen with your application to make clicks with the finger? and multitouch?

tags: added: patch
Larry Moore (ldmtwo) wrote :

I attached the evtouch_hal.out log file. This is for an HP Touchsmart 9100 Business.... Ubuntu 9.04 (March 29 2010)

Larry Moore (ldmtwo) wrote :

I attached the useless lspci log.
System: HP Touchsmart 9100 Business.... Ubuntu 9.04 (March 29 2010)

jvecchioli (v3cc-20) wrote :

Using a Dell Studio One 19
Touchscreen is reactive - `cat /dev/input/event9` displays random characters on the terminal

3rdear (kurt-3rdear) wrote :

Trying to calibrate Elo Touchsystems 2500U as second monitor input on USB, on Compaq Netbook Mini 110. Tried to modify xorg.conf to get touchscreen to work per example shown at http://www.backports.ubuntuforums.org/showthread.php?p=7929895 (which worked great for my desktop machine) but seems to be no use on the Netbook.

Piter Rashkin (rachpilpk) wrote :

Please add support Samsug SyncMaster LD220Z.

KevinM (kevinmcombes) wrote :

HP Touchsmart evtouch_hal.out

Arthur Bits (arthurbits) wrote :

Installed the driver according to: https://help.ubuntu.com/community/EloTouchScreen

I've got a Elo Touch 2700, in portrait mode, and trying to calibrate the screen, going into calibration i get the error:

"No evtouch capable device found, if you are sure you have an evtouch capable touchscreen, please mail the resulting file of the command ..."

So here I am, attaching the evtouch_hal.out file, thanks in advance for helping.

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Oliver,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 317094

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 317094 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/317094

Changed in xf86-input-evtouch (Ubuntu):
status: New → Incomplete
tags: added: needs-retested-on-lucid-by-june
tags: removed: patch
Fabio Chalub (fabiochalub) wrote :

Evtouch not working - HP Elitebook 2730p

Nick Rahl (nrahl) wrote :

I have an Acer T230H. I've been unable to get it working on 9.10. I've attached my lshal output.

P.S. The "xf86-input-evtouch" package doesn't seem to exist anymore, I think it was renamed to something like: 'xserver-xorg-input-evtouch'.

hcmeyer (hcmeyer) wrote :

lshal output for a CTL 2go Intel Classmate NL2

Bryce Harrington (bryce) on 2010-05-20
tags: added: omit
removed: needs-retested-on-lucid-by-june
Hveem (krbjhvee) wrote :
Download full text (99.2 KiB)

Result from lshal > evtouch_hal.out for a Panasonic Toughbook CF-29HTM50BM

Dumping 105 device(s) from the Global Device List:
-------------------------------------------------
udi = '/org/freedesktop/Hal/devices/computer'
  info.addons = {'hald-addon-cpufreq', 'hald-addon-acpi'} (string list)
  info.callouts.add = {'hal-storage-cleanup-all-mountpoints'} (string list)
  info.capabilities = {'cpufreq_control'} (string list)
  info.interfaces = {'org.freedesktop.Hal.Device.SystemPowerManagement', 'org.freedesktop.Hal.Device.CPUFreq'} (string list)
  info.product = 'Computer' (string)
  info.subsystem = 'unknown' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer' (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_argnames = {'num_seconds_to_sleep', 'num_seconds_to_sleep', '', '', '', 'enable_power_save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_execpaths = {'hal-system-power-suspend', 'hal-system-power-suspend-hybrid', 'hal-system-power-hibernate', 'hal-system-power-shutdown', 'hal-system-power-reboot', 'hal-system-power-set-power-save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_names = {'Suspend', 'SuspendHybrid', 'Hibernate', 'Shutdown', 'Reboot', 'SetPowerSave'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_signatures = {'i', 'i', '', '', '', 'b'} (string list)
  org.freedesktop.Hal.version = '0.5.13' (string)
  org.freedesktop.Hal.version.major = 0 (0x0) (int)
  org.freedesktop.Hal.version.micro = 13 (0xd) (int)
  org.freedesktop.Hal.version.minor = 5 (0x5) (int)
  power_management.acpi.linux.version = '20090521' (string)
  power_management.can_hibernate = true (bool)
  power_management.can_suspend = true (bool)
  power_management.can_suspend_hybrid = false (bool)
  power_management.is_powersave_set = false (bool)
  power_management.quirk.dpms_on = true (bool)
  power_management.quirk.dpms_suspend = true (bool)
  power_management.quirk.vbe_post = true (bool)
  power_management.quirk.vbemode_restore = true (bool)
  power_management.quirk.vbestate_restore = true (bool)
  power_management.quirk.vga_mode_3 = true (bool)
  power_management.type = 'acpi' (string)
  system.board.product = 'CF29-3' (string)
  system.board.serial = 'None' (string)
  system.board.vendor = 'Matsushita Electric Industrial Co.,Ltd.' (string)
  system.board.version = '001' (string)
  system.chassis.manufacturer = 'Matsushita Electric Industrial Co.,Ltd.' (string)
  system.chassis.type = 'Notebook' (string)
  system.firmware.release_date = '12/08/2004' (string)
  system.firmware.vendor = 'Phoenix Technologies K.K.' (string)
  system.firmware.version = 'V3.00L11' (string)
  system.formfactor = 'laptop' (string)
  system.hardware.primary_video.product = 13698 (0x3582) (int)
  system.hardware.primary_video.vendor = 32902 (0x8086) (int)
  system.hardware.product = 'CF-29HTM50BM' (string)
  system.hardware.serial = '5JKSB68106' (string)
  system.hardware.uuid = '00000000-0000-1000-8000-000B973266CA' (string)
  system.hardware.vendor = 'Matsushita Electric Industrial Co.,Ltd.' (string)
  system.hardware.version = '001' (string)
  system.kernel.machine = 'i686' (strin...

Bryce Harrington (bryce) wrote :

Thanks everyone who has posted to this bug report.

I acknowledge that calibration with evtouch is an unsolved problem. However, in Ubuntu we are planning to deprecate the -evtouch driver, as it is not well maintained upstream and long term plans are for -evdev to supplant its need (in the shorter term -wacom may be another option to consider). So I am closing this bug as a WONTFIX for Ubuntu; if people still wish to improve -evtouch I would encourage going upstream.

It's worth mentioning as well that Ubuntu no longer uses HAL. I suppose the data collected in this bug could be converted from HAL format to another form, but even looking through the files it's unclear that lshal output alone is sufficient to fix the calibration of the devices. So if the calibration issues still exist with -evdev or -wacom, those would need to be reported separately and with different data than what is provided here.

Aside from that, the quantity of attachments included in this bug report is causing Launchpad to oops on this bug, including scripts that we use for automated bug handling. I've spoken with Launchpad developers about this oops, but solving it is pretty intricate and not something that can be easily done.

Changed in xf86-input-evtouch (Ubuntu):
status: Incomplete → Won't Fix

Netbook : LENOVO S10-3t
Touchscreen : CANDO 1015SCW
OS :
- Ubuntu Netbook Remix 10.04 : not working
- Jolicloud 1.0 : touchscreen works as a trackpad

Hej,

Result of :
lshal > evtouch_hal_PackardBell.out

Thomas Weissel (xapient) wrote :

Just some more information about this particular device:
Bus 001 Device 007: ID 15c2:3480 SoundGraph Inc.
FingerVu 706
Displaylink Touchscreen/IR USB Screen

http://ubuntuforums.org/showpost.php?p=10077429&postcount=8

no touchinput at all :(

sakis_ser (th-agorastos) wrote :

Flybook A33i's touchscreen and internal mouse do not work with Jolicloud (same goes with other linux distros except the Flybuntu which is a specifically modified Ubuntu 8 for Flybooks)

ishal output MCI ??? running 9.10

WebNuLL (babciastefa) wrote :

@Piter Rashkin
There is a propertiary driver "nw-fermi" for LD220Z (NextWindow 1950).
Im using Samsung LD220Z right now, touchscreen works but only on singletouch (multitouch propably will be in some weeks)

See attached lshal output for Hyundai G50TR touchscreen (seems to have the eGalax chip). The Linux kernel in Ubuntu 10.10 supports this device only partially. Clicking works but the cursor alsways jumps to the upper left corner.

See attached lshal output for the Glancetron GT15plus touchscreen (seems to have the eGalax chip). The Linux kernel in Ubuntu 10.10 supports this device only partially. Clicking works but the cursor always jumps to the upper left corner. See also my previous comment.

David (dfkwild) wrote :

Elo Touch has published some generic Linux drivers/utilities for their touchscreens (some as recently as 15 Feb 2011), so perhaps some ability to work with that for elo screens

lshal > evtouch_hal.out

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments